Smaph app: error from remote werver

Jun 21, 2017 09:38 AM - Roberto Cirillo

Status: Closed Start date: Jun 21, 2017

Priority: Normal Due date:  

Assignee: Marco Cornolti % Done: 100%

Category: Application Estimated time: 0.00 hour

Target version: UnSprintable   

Infrastructure: Production   

Description

I see the following exception in catalina.out when a query is performed. The problem is due to remote server Exception:

java.io.IOException: Server returned HTTP response code: 502 for URL: http://wikisense.mkapp.it:80

/tag/tag?lang=en&method=base&epsilon=0.2&minLinkProbability=0.0&relatedness=mw&sortBy=COMMONNESS&b

ogusFilter=false&useTagger=false&useContext=false

    at sun.reflect.GeneratedConstructorAccessor106.newInstance(Unknown Source)

    at sun.reflect.DelegatingConstructorAccessorImpl.newInstance(DelegatingConstructorAccessorImpl

.java:45)

    at java.lang.reflect.Constructor.newInstance(Constructor.java:423)

    at sun.net.www.protocol.http.HttpURLConnection$10.run(HttpURLConnection.java:1926)

    at sun.net.www.protocol.http.HttpURLConnection$10.run(HttpURLConnection.java:1921)

    at java.security.AccessController.doPrivileged(Native Method)

    at sun.net.www.protocol.http.HttpURLConnection.getChainedException(HttpURLConnection.java:1920

)

    at sun.net.www.protocol.http.HttpURLConnection.getInputStream0(HttpURLConnection.java:1490)

    at sun.net.www.protocol.http.HttpURLConnection.getInputStream(HttpURLConnection.java:1474)

    at it.unipi.di.acube.batframework.systemPlugins.WATAnnotator.queryJson(WATAnnotator.java:426)

    at it.unipi.di.acube.batframework.systemPlugins.WATAnnotator.queryJson(WATAnnotator.java:436)

    at it.unipi.di.acube.batframework.systemPlugins.WATAnnotator.queryJson(WATAnnotator.java:436)

    at it.unipi.di.acube.batframework.systemPlugins.WATAnnotator.solveSa2W(WATAnnotator.java:264)

    at it.unipi.di.acube.smaph.SmaphAnnotator.annotateSnippets(SmaphAnnotator.java:605)

    at it.unipi.di.acube.smaph.SmaphAnnotator.getQueryInformation(SmaphAnnotator.java:505)

    at it.unipi.di.acube.smaph.SmaphAnnotator.solveSa2W(SmaphAnnotator.java:201)

    at it.unipi.di.acube.smaph.SmaphAnnotator.solveSa2W(SmaphAnnotator.java:192)

    at it.unipi.di.acube.smaph.servlet.SmaphServlet.annotateDefault(SmaphServlet.java:106)

    at sun.reflect.GeneratedMethodAccessor63.invoke(Unknown Source)

    at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)

    at java.lang.reflect.Method.invoke(Method.java:498)

    at org.glassfish.jersey.server.model.internal.ResourceMethodInvocationHandlerFactory$1.invoke(

ResourceMethodInvocationHandlerFactory.java:81)

    at org.glassfish.jersey.server.model.internal.AbstractJavaResourceMethodDispatcher$1.run(Abstr

actJavaResourceMethodDispatcher.java:151)

    at org.glassfish.jersey.server.model.internal.AbstractJavaResourceMethodDispatcher.invoke(Abst

ractJavaResourceMethodDispatcher.java:171)

    at org.glassfish.jersey.server.model.internal.JavaResourceMethodDispatcherProvider$ResponseOut

Invoker.doDispatch(JavaResourceMethodDispatcherProvider.java:152)

    at org.glassfish.jersey.server.model.internal.AbstractJavaResourceMethodDispatcher.dispatch(Ab

stractJavaResourceMethodDispatcher.java:104)

    at org.glassfish.jersey.server.model.ResourceMethodInvoker.invoke(ResourceMethodInvoker.java:4

02)

    at org.glassfish.jersey.server.model.ResourceMethodInvoker.apply(ResourceMethodInvoker.java:34

9)

    at org.glassfish.jersey.server.model.ResourceMethodInvoker.apply(ResourceMethodInvoker.java:10

6)

    at org.glassfish.jersey.server.ServerRuntime$1.run(ServerRuntime.java:259)

    at org.glassfish.jersey.internal.Errors$1.call(Errors.java:271)

    at org.glassfish.jersey.internal.Errors$1.call(Errors.java:267)

    at org.glassfish.jersey.internal.Errors.process(Errors.java:315)

    at org.glassfish.jersey.internal.Errors.process(Errors.java:297)

    at org.glassfish.jersey.internal.Errors.process(Errors.java:267)

    at org.glassfish.jersey.process.internal.RequestScope.runInScope(RequestScope.java:318)
    at org.glassfish.jersey.server.ServerRuntime.process(ServerRuntime.java:236)

    at org.glassfish.jersey.server.ApplicationHandler.handle(ApplicationHandler.java:1010)

    at org.glassfish.jersey.servlet.WebComponent.service(WebComponent.java:373)

    at org.glassfish.jersey.servlet.ServletContainer.service(ServletContainer.java:382)

    at org.glassfish.jersey.servlet.ServletContainer.service(ServletContainer.java:345)

    at org.glassfish.jersey.servlet.ServletContainer.service(ServletContainer.java:220)

    at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.jav

a:303)

    at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:208)

    at org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:220)

    at org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:122)

    at org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:501)

    at org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:170)

    at org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:98)

    at org.apache.catalina.valves.AccessLogValve.invoke(AccessLogValve.java:950)

    at org.apache.catalina.valves.RemoteIpValve.invoke(RemoteIpValve.java:683)

    at org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:116)

    at org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:408)

    at org.apache.coyote.http11.AbstractHttp11Processor.process(AbstractHttp11Processor.java:1041)

    at org.apache.coyote.AbstractProtocol$AbstractConnectionHandler.process(AbstractProtocol.java:

607)

    at org.apache.tomcat.util.net.JIoEndpoint$SocketProcessor.run(JIoEndpoint.java:313)

    at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1142)

    at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:617)

    at java.lang.Thread.run(Thread.java:745)

Caused by: java.io.IOException: Server returned HTTP response code: 502 for URL: http://wikisense.

mkapp.it:80/tag/tag?lang=en&method=base&epsilon=0.2&minLinkProbability=0.0&relatedness=mw&sortBy=C

OMMONNESS&bogusFilter=false&useTagger=false&useContext=false

    at sun.net.www.protocol.http.HttpURLConnection.getInputStream0(HttpURLConnection.java:1876)

    at sun.net.www.protocol.http.HttpURLConnection.getInputStream(HttpURLConnection.java:1474)

    at java.net.HttpURLConnection.getResponseCode(HttpURLConnection.java:480)

    at it.unipi.di.acube.batframework.systemPlugins.WATAnnotator.queryJson(WATAnnotator.java:420)

    ... 49 more

 Please, could you check?

History

#1 - Jun 21, 2017 09:52 AM - Marco Cornolti

Hi, I can confirm the issue. I'm on it.

#2 - Jun 21, 2017 10:14 AM - Marco Cornolti

There is a bad hardware problem on a server running a service SMAPH depends upon. This may take a while.

#3 - Jun 21, 2017 02:05 PM - Marco Cornolti

- % Done changed from 0 to 50

Should be working again now. @roberto.cirillo@isti.cnr.it can you please re-run the unit tests and close this issue in case they are successful?

Cheers

Marco

#4 - Jun 22, 2017 05:30 PM - Roberto Cirillo

The problem is still there.

#5 - Jun 22, 2017 05:41 PM - Marco Cornolti

Can you try again now?

#6 - Jun 29, 2017 04:40 PM - Roberto Cirillo

- Status changed from New to Closed

- % Done changed from 50 to 100

It's ok now. Sorry for the delay
